Summary:	Implementation of an E-component of Network Intrusion Detection System
Name:		libnids
Version:	1.23
Release:	1%{?dist}
License:	GPLv2+
Group:		System Environment/Libraries
URL:		http://libnids.sourceforge.net/
Source:		http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	libnet-devel, glib2-devel, %{_includedir}/pcap.h, pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Libnids is an implementation of an E-component of Network Intrusion
Detection System. It emulates the IP stack of Linux 2.x and offers
IP defragmentation, TCP stream assembly and TCP port scan detection.

Using libnids, one has got a convenient access to data carried by a
TCP stream, no matter how artfully obscured by an attacker.

%package devel
Summary:	Development files for libnids
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package package includes header files and libraries necessary
for developing programs which use the libnids library. It contains
the API documentation of the library, too.

%prep
%setup -q

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install_prefix=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/libnids.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS MISC README
%{_libdir}/libnids.so.*

%files devel
%defattr(-,root,root)
%doc doc/* samples/
%{_libdir}/libnids.so
%{_includedir}/nids.h
%{_mandir}/man3/libnids.3*

%changelog
* Fri May 23 2008 Robert Scheck <robert@fedoraproject.org> 1.23-1
- Upgrade to 1.23

* Sun Feb 10 2008 Robert Scheck <robert@fedoraproject.org> 1.22-4
- Rebuilt against gcc 4.3

* Thu Nov 29 2007 Robert Scheck <robert@fedoraproject.org> 1.22-3
- Rebuilt against fixed libnet package (#400831)

* Mon Nov 26 2007 Robert Scheck <robert@fedoraproject.org> 1.22-2
- Build with -fPIC, because 64 bit archs are complaining

* Sun Nov 25 2007 Robert Scheck <robert@fedoraproject.org> 1.22-1
- Upgrade to 1.22
- Initial spec file for Fedora and Red Hat Enterprise Linux
